package com.LabWork.app;

import com.LabWork.app.calc.service.MethodService;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class AppApplicationTests {

	@Autowired
	MethodService methodService;

	@Test
	void testMethodSumInt() {
		final String res = methodService.Sum(1, 2, "int");
		Assertions.assertEquals(3, Integer.parseInt(res));
	}

	@Test
	void testMethodSumString() {
		final String res = methodService.Sum("1", "2", "string");
		Assertions.assertEquals("12", res);
	}

	@Test
	void testMethodMinusInt() {
		final String res = methodService.Difference(1, 2, "int");
		Assertions.assertEquals(-1, Integer.parseInt(res));
	}

	@Test
	void testMethodMinusString() {
		final String res = methodService.Difference("214324", "4", "string");
		Assertions.assertEquals("2132", res);
	}

	@Test
	void testMethodMultInt() {
		final String res = methodService.Multiplication(1, 2, "int");
		Assertions.assertEquals(2, Integer.parseInt(res));
	}

	@Test
	void testMethodMultString() {
		final String res = methodService.Multiplication("1", "2", "string");
		Assertions.assertEquals("11", res);
	}

	@Test
	void testMethodContainsInt() {
		final String res = methodService.Contains(123, 2, "int");
		Assertions.assertEquals(61, Integer.parseInt(res));
	}

	@Test
	void testMethodContainsString() {
		final String res = methodService.Contains("1", "2", "string");
		Assertions.assertEquals("false", res);
	}
}
